@Library("ectrl-shared-libs")
import static ectrl.vars.GlobalVars.*
setenv(this, env.JOB_BASE_NAME)

pipeline {
    agent {
        label 'lxplus'
    }
    options {
        timeout(time: 6, unit: 'HOURS')
    }
    stages {
        stage('monitor-fill') {
            steps {                
                dir("workflows/zee-monitoring") {
                    automationApptainerStep """
                # resubmit
                python3 runjobs.py --notify $notify_url --db $dbinstance --campaign \$CAMPAIGN --wdir \$CMSSW_BASE resubmit --eosplots $eosplots/zeemon/ --plotsurl $plotsurl/zeemon/
                # submit
                python3 runjobs.py --notify $notify_url --db $dbinstance --campaign \$CAMPAIGN --wdir \$CMSSW_BASE submit --eosplots $eosplots/zeemon/ --plotsurl $plotsurl/zeemon/
                # check
                python3 runjobs.py --notify $notify_url --db $dbinstance --campaign \$CAMPAIGN --wdir \$CMSSW_BASE check --max-retries 3 --skipped-delay 10
                # remove tmp file
                rm -f *.csv
                """
                }
            }
        }
        stage('monitor-cml') {
            steps {
                dir("workflows/zee-monitoring") {
                    automationApptainerStep """
                # the following line is supposed to execute/submit the jobs
                # resubmit
                python3 runcml.py --notify $notify_url --db $dbinstance --campaign \$CAMPAIGN --wdir \$CMSSW_BASE resubmit --eosplots $eosplots/zeemon/ --plotsurl $plotsurl/zeemon/
                # submit
                python3 runcml.py --notify $notify_url --db $dbinstance --campaign \$CAMPAIGN --wdir \$CMSSW_BASE submit --eosplots $eosplots/zeemon/ --plotsurl $plotsurl/zeemon/
                # check
                python3 runcml.py --notify $notify_url --db $dbinstance --campaign \$CAMPAIGN --wdir \$CMSSW_BASE check --max-retries 3 --skipped-delay 10
                """
                }
            }
        }
    }
    post {
        unsuccessful {
            sendMattermostNotification "ERROR"
        }
    }
}
